%global packname RSQLite
%global packver 0.11.2
#global packrel 

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          LGPLv2+
URL:              http://cran.r-project.org/web/packages/RSQLite/index.html
Group:            Applications/Engineering
Summary:          SQLite database interface for R
BuildRequires:    R-devel >= 3.0.0, tetex-latex, sqlite-devel, R-DBI, R-methods, R-RUnit
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-DBI, R-core >= 3.0.0, R-methods

%description
A SQLite database interface definition for communication between R and SQLite
 databases.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL --configure-args="--with-sqlite-lib=%{_libdir} --with-sqlite-inc=%{_includedir}" \
-l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/%{packname}/INSTALL

# we really don't need these files. thanks though.
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/%{packname}/include/

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/HACKING
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/ONEWS
%doc %{_libdir}/R/library/%{packname}/README
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/TODO
%doc %{_libdir}/R/library/%{packname}/announce
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/UnitTests
%{_libdir}/R/library/%{packname}/rsqlitePerf.txt
%{_libdir}/R/library/%{packname}/help

%changelog
* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 0.11.2-1
- update to 0.11.2, rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 09 2011 Tom Callaway <spot@fedoraproject.org> - 0.10.0-1
- update to 0.10.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.1-1
- update to 0.9-1

* Thu Jan 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-1
- update to 0.8-1
- cleanup package, fix FTBFS

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Nigel Jones <nigjones@redhat.com> - 0.7-3
- Update to 0.7-1

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 24 2008 Nigel Jones <dev@nigelj.com> - 0.7-1
- Update to 0.7-0

* Thu Jun 26 2008 Nigel Jones <dev@nigelj.com> - 0.6-3
- Fix buildreqs

* Mon Jun 22 2008 Nigel Jones <dev@nigelj.com> - 0.6-2
- Update package summary/description
- Package Release '9'

* Tue Jun 10 2008 Nigel Jones <dev@nigelj.com> - 0.6-1
- Initial package
